%{!?ruby_sitelib: %define ruby_sitelib %(ruby -rrbconfig -e 'puts Config::CONFIG["sitelibdir"]')}

Name:           rubyripper
Version:        0.4.4
Release:        2%{?dist}
Summary:        Open-source secure ripper for Linux

Group:          Applications/Multimedia
License:        GPLv3+
URL:            http://code.google.com/p/rubyripper/
Source0:        http://rubyripper.googlecode.com/files/%{name}-%{version}.tar.bz2
Patch0:         %{name}-%{version}-configure.patch
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

BuildArch:      noarch

BuildRequires:  desktop-file-utils, gettext
BuildRequires:  ruby(abi) = 1.8, ruby
BuildRequires:  rubygem(rake), ruby(gettext-package)
Requires:       ruby(abi) = 1.8, ruby(gettext-package), ruby 
Requires:       cdparanoia


%description
Rubyripper is a digital audio extraction algorithm that uses cdparanoia in
a sophisticated way to make sure that a CD rip is done successfully and
accurately. It is very similar to and inspired by EAC. Rubyripper is written
in the ruby programming language.

%package gui

Summary: GTK graphical user interface for rubyripper
Group: Applications/Multimedia
Requires: %{name} = %{version}-%{release}

Requires: ruby(gtk2)

%description gui
This package provides the GTK graphical interface for the rubyripper secure
audio extraction tool.

%prep
%setup -q
%patch0 -p1

%build
%configure --enable-lang-all --enable-gtk2 --enable-cli --prefix=%{_prefix}
#no make needed
#make %{?_smp_mflags}

%install
rm -rf $RPM_BUILD_ROOT
make install DESTDIR=$RPM_BUILD_ROOT

%find_lang rr_gtk2
%find_lang rr_cli
%find_lang rr_lib

desktop-file-install --vendor fedora --delete-original  \
        --dir $RPM_BUILD_ROOT%{_datadir}/applications   \
        --remove-category Application \
        $RPM_BUILD_ROOT%{_datadir}/applications/%{name}.desktop

#to make the %files -f work with multiple locale names
cat rr_lib.lang rr_cli.lang > rr.lang

#permissions
chmod 0644 $RPM_BUILD_ROOT%{_datadir}/pixmaps/rubyripper_22.png

for f in `find $RPM_BUILD_ROOT%{_datadir}/locale/ -name "*.mo"`
	do chmod 0644 $f
done

%clean
rm -rf $RPM_BUILD_ROOT


%files -f rr.lang
%defattr(-,root,root,-)
%doc GPL-3.txt README
%{_bindir}/rrip_cli
%{ruby_sitelib}/*

%files gui -f rr_gtk2.lang
%{_bindir}/rrip_gui
%{_datadir}/applications/*
%{_datadir}/pixmaps/*


%changelog
* Tue Jan 10 2008 Sindre Pedersen Bjørdal <foolish@guezz.net> - 0.4.3-2
- New upstream release
- Reworked installation path patch for new release
* Sat Nov 10 2007 Sindre Pedersen Bjørdal <foolish@guezz.net> - 0.4.3-2
- Add missing ruby-gettext Requires
- Fix EVR specific subpackage Requires
- Fix permissions
* Tue Nov 08 2007 Sindre Pedersen Bjørdal <foolish@guezz.net> - 0.4.3-1
. New release
- Add ruby-gettext, rubygem-rake and gettext dependencies
- Split package into core and gui
- Add translations shebang
* Wed Nov 07 2007 Sindre Pedersen Bjørdal <foolish@guezz.net> - 0.4.2-3
- Add Requires: ruby
- Fix License tag
- Update ruby BR for consistency
* Tue Nov 06 2007 Sindre Pedersen Bjørdal <foolish@guezz.net> - 0.4.2-2
- Add missing BRs
- Use modules, not package names in ruby Requires
- Update License tag
- Fix description
* Mon Nov 05 2007 Sindre Pedersen Bjørdal <foolish[AT]guezz.net> - 0.4.2-1
- Initial build
